using File_Folder_Helper.Models;
using Microsoft.Extensions.Logging;

namespace File_Folder_Helper.Helpers;

internal static class HelperDay
{

    internal static void Select(AppSettings appSettings, ILogger<Worker> logger, List<string> args)
    {
        if (args[1] == "Day-Helper-2023-09-06")
            Day.Helper20230906.SaveJson(logger, args[0]);
        else if (args[1] == "Day-Helper-2023-10-10")
            Day.Helper20231010.HgCV(logger, args[0]);
        else if (args[1] == "Day-Helper-2023-10-16")
            Day.Helper20231016.MoveDirectory(logger, args[0]);
        else
            throw new Exception(appSettings.Company);
    }

}